From 0c273cf2ace18b1918c2ba188ff5c88f42c5d519 Mon Sep 17 00:00:00 2001
From: reshke kirill <reshke@double.cloud>
Date: Fri, 8 Nov 2024 12:06:13 +0000
Subject: [PATCH v1] Fixup FSM comment inside heap_xlog_visible

---
 src/backend/access/heap/heapam_xlog.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/access/heap/heapam_xlog.c b/src/backend/access/heap/heapam_xlog.c
index c5208f3df61..160f1fbeb8e 100644
--- a/src/backend/access/heap/heapam_xlog.c
+++ b/src/backend/access/heap/heapam_xlog.c
@@ -249,13 +249,13 @@ heap_xlog_visible(XLogReaderState *record)
 
 		/*
 		 * Since FSM is not WAL-logged and only updated heuristically, it
-		 * easily becomes stale in standbys.  If the standby is later promoted
+		 * easily becomes stale in standbys. If the standby is later promoted
 		 * and runs VACUUM, it will skip updating individual free space
 		 * figures for pages that became all-visible (or all-frozen, depending
-		 * on the vacuum mode,) which is troublesome when FreeSpaceMapVacuum
+		 * on the vacuum mode), which is troublesome when FreeSpaceMapVacuum
 		 * propagates too optimistic free space values to upper FSM layers;
-		 * later inserters try to use such pages only to find out that they
-		 * are unusable.  This can cause long stalls when there are many such
+		 * Later, inserters try to use such pages only to find out that they
+		 * are unusable. This can cause long stalls when there are many such
 		 * pages.
 		 *
 		 * Forestall those problems by updating FSM's idea about a page that
-- 
2.34.1

